stages:
  - test
  - deploy


include:
  - project: computing/gitlab-ci-templates
    file: python.yml


variables:
  EGAD_VERSION: "$CI_COMMIT_TAG"
  EGAD_PUBLISH: "true"
  EGAD_S3_BUCKET: "s3://egad"


.flake8:
  stage: test
  extends:
    - .python:flake8

flake8-3.9:
  extends:
    - .flake8
  image: python:3.9-slim


.deploy:
  stage: deploy
  rules:
    - if: $CI_COMMIT_TAG != null
  script:
    # Install necessary packages
    - "apt-get update && apt-get install -y awscli gcc tree zip"
    - "pip install virtualenv"
    # Show the build environment
    - "echo Building from: $PWD"
    - "tree"
    # Build the ZIP
    - "bin/build_zip.sh"
    # Upload to S3
    - "bin/upload_s3.sh"

deploy-3.9:
  extends:
    - .deploy
  image: python:3.9-slim
  variables:
    PYTHON_VERSION: "python3.9"
